Package nl.tudelft.simulation.dsol.tutorial.section42

# Interface BuyerInterface

All Known Implementing Classes:
  `Customer`, `Retailer`

    public interface BuyerInterface

A BuyerInterface.

Copyright (c) 2002-2019 Delft University of Technology, Jaffalaan 5, 2628 BX Delft, the Netherlands. All rights reserved. See for project information https://simulation.tudelft.nl. The DSOL project is distributed under a three-clause BSD-style license, which can be found at https://simulation.tudelft.nl/dsol/3.0/license.html.

Author:
  Peter Jacobs

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`void` | `receiveProduct​(long amount)` | receive the ordered Product.

## Method Details

### receiveProduct

void receiveProduct​(long amount)
receive the ordered Product.

Parameters:
  `amount` - long; the amount to receive